petsc-3.12.1 2019-10-22
Report Typos and Errors

# MatColoringRegister

Adds a new sparse matrix coloring to the matrix package.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatColoringRegister(const char sname[],PetscErrorCode (*function)(MatColoring))

Not Collective

### Input Parameters

| sname | - name of Coloring (for example MATCOLORINGSL)
| function | - function pointer that creates the coloring

### Sample usage

       MatColoringRegister("my_color",MyColor);

Then, your partitioner can be chosen with the procedural interface via

        MatColoringSetType(part,"my_color")

or at runtime via the option

        -mat_coloring_type my_color

### See Also

MatColoringRegisterDestroy(), MatColoringRegisterAll()

### Level

developer

### Location

src/mat/color/interface/matcoloring.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages